org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtTxFinishRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage
    - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishRequest
      - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxFinishRequest

All Implemented Interfaces:
  Serializable, GridCacheDeployable, GridCacheVersionable, Message

    public class GridDhtTxFinishRequest
    extends GridDistributedTxFinishRequest

Near transaction finish request.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`ver`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`CACHE_MSG_INDEX_FIELD_NAME, cacheId, MAX_CACHE_MSG_LOOKUP_INDEX`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtTxFinishRequest()` Empty constructor required for `Externalizable`.

`GridDhtTxFinishRequest(UUID nearNodeId, IgniteUuid futId, IgniteUuid miniId, AffinityTopologyVersion topVer, GridCacheVersion xidVer, GridCacheVersion commitVer, long threadId, TransactionIsolation isolation, boolean commit, boolean invalidate, boolean sys, byte plc, boolean sysInvalidate, boolean syncCommit, boolean syncRollback, GridCacheVersion baseVer, Collection<GridCacheVersion> committedVers, Collection<GridCacheVersion> rolledbackVers, Collection<GridCacheVersion> pendingVers, int txSize, UUID subjId, int taskNameHash)`

### Method Summary

Methods
`boolean` `allowForStartup()`
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`TransactionIsolation` `isolation()`
`boolean` `isSystemInvalidate()`
`IgniteUuid` `miniId()`
`UUID` `nearNodeId()`
`Collection<GridCacheVersion>` `pendingVersions()` Gets versions of not acquired locks with version less then one of transaction being committed.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`UUID` `subjectId()`
`int` `taskNameHash()`
`AffinityTopologyVersion` `topologyVersion()` Gets topology version or -1 in case of topology version is not required for this message.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.
`GridCacheVersion` `writeVersion()`
`void` `writeVersion(GridCacheVersion writeVer)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishRequest

`baseVersion, commit, commitVersion, finishUnmarshal, futureId, isInvalidate, policy, prepareMarshal, replyRequired, syncCommit, syncRollback, system, threadId, txSize`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`candidatesByIndex, candidatesByIndex, committedVersions, completedVersions, keysCount, rolledbackVersions, version, version`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`cacheId, cacheId, classError, deployInfo, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onClassError, partitionExchangeMessage, prepare, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheDeployable

`deployInfo, prepare`

### Constructor Detail

#### GridDhtTxFinishRequest

    public GridDhtTxFinishRequest()

Empty constructor required for `Externalizable`.

#### GridDhtTxFinishRequest

    public GridDhtTxFinishRequest(UUID nearNodeId,
                          IgniteUuid futId,
                          IgniteUuid miniId,
                          @NotNull
                          AffinityTopologyVersion topVer,
                          GridCacheVersion xidVer,
                          GridCacheVersion commitVer,
                          long threadId,
                          TransactionIsolation isolation,
                          boolean commit,
                          boolean invalidate,
                          boolean sys,
                          byte plc,
                          boolean sysInvalidate,
                          boolean syncCommit,
                          boolean syncRollback,
                          GridCacheVersion baseVer,
                          Collection<GridCacheVersion> committedVers,
                          Collection<GridCacheVersion> rolledbackVers,
                          Collection<GridCacheVersion> pendingVers,
                          int txSize,
                          @Nullable
                          UUID subjId,
                          int taskNameHash)

Parameters:
  `nearNodeId` - Near node ID.
  `futId` - Future ID.
  `miniId` - Mini future ID.
  `topVer` - Topology version.
  `xidVer` - Transaction ID.
  `threadId` - Thread ID.
  `commitVer` - Commit version.
  `isolation` - Transaction isolation.
  `commit` - Commit flag.
  `invalidate` - Invalidate flag.
  `sys` - System flag.
  `sysInvalidate` - System invalidation flag.
  `syncCommit` - Synchronous commit flag.
  `syncRollback` - Synchronous rollback flag.
  `baseVer` - Base version.
  `committedVers` - Committed versions.
  `rolledbackVers` - Rolled back versions.
  `pendingVers` - Pending versions.
  `txSize` - Expected transaction size.
  `subjId` - Subject ID.
  `taskNameHash` - Task name hash.

### Method Detail

#### allowForStartup

    public boolean allowForStartup()

Overrides:
  `allowForStartup` in class `GridCacheMessage`
Returns:
  `True` if this message is preloader message.

#### miniId

    public IgniteUuid miniId()

Returns:
  Mini ID.

#### subjectId

    @Nullable
    public UUID subjectId()

Returns:
  Subject ID.

#### taskNameHash

    public int taskNameHash()

Returns:
  Task name hash.

#### isolation

    public TransactionIsolation isolation()

Returns:
  Transaction isolation.

#### nearNodeId

    public UUID nearNodeId()

Returns:
  Near node ID.

#### isSystemInvalidate

    public boolean isSystemInvalidate()

Returns:
  System invalidate flag.

#### writeVersion

    public GridCacheVersion writeVersion()

Returns:
  Write version for one-phase commit transactions.

#### writeVersion

    public void writeVersion(GridCacheVersion writeVer)

Parameters:
  `writeVer` - Write version for one-phase commit transactions.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Description copied from class: `GridCacheMessage`
Gets topology version or -1 in case of topology version is not required for this message.

Overrides:
  `topologyVersion` in class `GridCacheMessage`
Returns:
  Topology version.

#### pendingVersions

    public Collection<GridCacheVersion> pendingVersions()

Gets versions of not acquired locks with version less then one of transaction being committed.

Returns:
  Versions of locks for entries participating in transaction that have not been acquired yet have version less then one of transaction being committed.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDistributedTxFinishRequest`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridDistributedTxFinishRequest`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridDistributedTxFinishRequest`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `GridDistributedTxFinishRequest`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridDistributedTxFinishRequest`
Returns:
  Fields count.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015